Bug 309091 - Maximum share ratio settings ignored when using magnet links
Summary: Maximum share ratio settings ignored when using magnet links
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-27 10:16 UTC by Zach
Modified: 2012-12-08 11:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zach 2012-10-27 10:16:22 UTC
Torrents continue to seed after maximum share ration limit reached.

Reproducible: Sometimes




Screenshot:
http://imageshack.us/photo/my-images/841/snapshot2yn.png/

Kubuntu 12.10
KDE 4.9.2
Ktorrent 4.2.1
Comment 1 Joris Guisson 2012-11-02 11:51:48 UTC
The default max share ratio is only applied when the torrent is loaded for the first time, if you change it in the settings it doesn't change for all running torrents.
Comment 2 Zach 2012-11-02 12:34:45 UTC
Yes, Im aware of this.  I changed the setting before the torrents in question were loaded for the first time.
Comment 3 Zach 2012-11-02 13:16:51 UTC
Just tested again.  I cleared ktorrent of all torrents and checked that settings were set to stop seeding after reaching the share limit of 1.00 (see first screen shot).  I then started two new torrents, one as a magnet link and one by downloading the torrent file.  These torrents have never been on my computer before.  The downloaded torrent file torrent stopped at .99 and gave a notification that seeding had stopped.  The file started by magnet link continued seeding after reaching the 1.00 limit (see second screen shot).

Before.  Note that Maximum Share Ratio is set to 1.00 and that Apply has been clicked.
http://i.imgur.com/Bmoze.png

After.  Note that the bottom torrent, the one started from a downloaded torrent file, has stopped seeding completely.  The top torrent has a share ratio of 1.05 and will finish seeding in 11,000 days (never).  Settings have not been changed.
http://i.imgur.com/AnXVR.png
Comment 4 Zach 2012-11-05 15:30:31 UTC
Addiional testing shows that magnet links seed until a share ration of 2.00 has been reached, regardless of the settings.
Comment 5 Joris Guisson 2012-11-14 17:09:00 UTC
Can you paste the content of /usr/share/kde4/services/magnet.protocol ?
Comment 6 Zach 2012-11-20 00:14:21 UTC
Contents of /usr/share/kde4/services/magnet.protocol

[Protocol]
exec=kio_magnet
protocol=magnet
input=none
output=filesystem
copyToFile=false
copyFromFile=false
listing=Name,Type,Size,
reading=true
writing=false
makedir=false
deleting=false
moving=false
Icon=folder-remote
#maxInstancesPerHost=2
maxInstances=10
#X-DocPath=kioslave/magnet/index.html
Class=:internet
/usr/share/kde4/services/magnet.protocol (END)
Comment 7 Joris Guisson 2012-12-08 11:57:32 UTC
Git commit 09547eac0eb81dbb3c5f93e3c7df68473a30e0f6 by Joris Guisson.
Committed on 08/12/2012 at 12:56.
Pushed by guisson into branch 'master'.

Remove kio-magnet, nobody really uses it and it only causes confusion for people who only want to use magnet links with ktorrent

M  +0    -9    CMakeLists.txt
M  +2    -1    ChangeLog
D  +0    -41   kio-magnet/CMakeLists.txt
D  +0    -18   kio-magnet/INSTALL
D  +0    -3    kio-magnet/Messages.sh
D  +0    -394  kio-magnet/README
D  +0    -12   kio-magnet/TODO
D  +0    -647  kio-magnet/dbushandler.cpp
D  +0    -82   kio-magnet/dbushandler.h
D  +0    -39   kio-magnet/dbusthread.cpp
D  +0    -36   kio-magnet/dbusthread.h
D  +0    -26   kio-magnet/interfaces/ktorrentcoreinterface.cpp
D  +0    -183  kio-magnet/interfaces/ktorrentcoreinterface.h
D  +0    -26   kio-magnet/interfaces/ktorrentgroupinterface.cpp
D  +0    -137  kio-magnet/interfaces/ktorrentgroupinterface.h
D  +0    -26   kio-magnet/interfaces/ktorrenttorrentfilestreaminterface.cpp
D  +0    -85   kio-magnet/interfaces/ktorrenttorrentfilestreaminterface.h
D  +0    -26   kio-magnet/interfaces/ktorrenttorrentinterface.cpp
D  +0    -412  kio-magnet/interfaces/ktorrenttorrentinterface.h
D  +0    -85   kio-magnet/interfaces/org.ktorrent.core.xml
D  +0    -47   kio-magnet/interfaces/org.ktorrent.group.xml
D  +0    -191  kio-magnet/interfaces/org.ktorrent.torrent.xml
D  +0    -498  kio-magnet/kio_magnet.cpp
D  +0    -64   kio-magnet/kio_magnet.h
D  +0    -18   kio-magnet/magnet.protocol
D  +0    -31   kio-magnet/magnetsettings.kcfg
D  +0    -4    kio-magnet/magnetsettings.kcfgc

http://commits.kde.org/ktorrent/09547eac0eb81dbb3c5f93e3c7df68473a30e0f6